Loading...
Searching...
No Matches
JxlAnimationHeader Struct Reference
JPEG XL library (libjxl) » Image and frame metadata

`#include <codestream_header.h>`

## Public Attributes

uint32_t | tps_numerator
uint32_t | tps_denominator
uint32_t | num_loops
JXL_BOOL | have_timecodes

## Detailed Description

The codestream animation header, optionally present in the beginning of the codestream, and if it is it applies to all animation frames, unlike JxlFrameHeader which applies to an individual frame.

## Member Data Documentation

## have_timecodes

JXL_BOOL JxlAnimationHeader::have_timecodes

Whether animation time codes are present at animation frames in the codestream

## num_loops

uint32_t JxlAnimationHeader::num_loops

Amount of animation loops, or 0 to repeat infinitely

## tps_denominator

uint32_t JxlAnimationHeader::tps_denominator

Denominator of ticks per second of a single animation frame time unit

## tps_numerator

uint32_t JxlAnimationHeader::tps_numerator

Numerator of ticks per second of a single animation frame time unit

The documentation for this struct was generated from the following file:

- jxl/codestream_header.h